package es.um.atica.miproyecto.security.authorization.das.impl;

import javax.ejb.Local;
import javax.ejb.Stateless;

import org.jboss.seam.annotations.Name;

import es.um.atica.enclave2.security.authorization.das.interfaces.RestUsuariosDataAccessService;
import es.um.atica.enclave2.security.rest.authorization.entities.RestUsuarios;
import es.um.atica.jpa.das.DataAccessServiceImpl;

@Local( RestUsuariosDataAccessService.class )
@Stateless
@Name( "restUsuariosDataAccessService" )
public class RestUsuariosDataAccessServiceImpl extends DataAccessServiceImpl<RestUsuarios> implements
        RestUsuariosDataAccessService {

    public RestUsuarios obtenerUsuario( String nombreUsuario ) {
        return this.find( nombreUsuario );
    }

}
