package es.um.atica.miproyecto.security.authorization.das.interfaces;

import es.um.atica.enclave2.security.rest.authorization.entities.RestUsuarioToken;
import es.um.atica.enclave2.security.rest.authorization.entities.RestUsuarios;
import es.um.atica.jpa.das.DataAccessService;

public interface RestTokenDataAccessService extends DataAccessService<RestUsuarioToken> {

    public String generaTokenUsuario( RestUsuarios usuario );

    public RestUsuarioToken obtenerTokenValidoDeUsuario( RestUsuarios usuario );

    public void actualizaFechaExpiracionTokenUsuario( RestUsuarioToken token );
    
   
}
